Bug 436624 - chgrp option --preserve-root results in error
chgrp option --preserve-root results in error
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.5
All Linux
low Severity low
: rc
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 10:50 EST by Chris Hunter
Modified: 2009-05-18 16:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Hunter 2008-03-08 10:50:07 EST
Description of problem:

/bin/chgrp has unrecognized flag --preserve-root.

This option is listed in the chgrp manpage, and output from "chgrp --help" command.

Version-Release number of selected component (if applicable):
coreutils-5.2.1-31.6

How reproducible:

Always reproducible.

Steps to Reproduce:
1. create file foo: 
touch /tmp/foo
2. change group ownership of foo with --preserve-root flag: 
chgrp --preserve-root bin /tmp/foo
3.

  
Actual results:
chgrp: unrecognized option `--preserve-root'
Try `chgrp --help' for more information.


Expected results:
chgrp command should succeed with no stderr message


Additional info:

Apparently the gnu coreutils developer forgot to add the --preserve-root code to
chgrp. The code has been added to coreutils 5.96 or 5.97
http://www.mail-archive.com/coreutils-announce@gnu.org/msg00023.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=365656#17

Any possibility of updating coreutils package for redhat el4 ?
Comment 1 Ondrej Vasik 2008-03-09 13:00:04 EDT
Thanks for report. As it is described in RHEL4 manpages, I see no problem to get
it into next maintainance release of RHEL4 coreutils if resources available. It
is an easy change and those options are already supported by RHEL-5 coreutils
(based on 5.97 version).
Comment 2 RHEL Product and Program Management 2008-09-05 13:05:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Petr Sklenar 2009-02-09 08:26:12 EST
QA Whiteboard: RHTSdone, /CoreOS/coreutils/chgrp/bz436624_preserve_root
Comment 9 errata-xmlrpc 2009-05-18 16:07:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0959.html

Note You need to log in before you can comment on or make changes to this bug.